apiVersion: v1
kind: Service
metadata:
  name: {{ template "peertube.fullname" . }}
  labels:
    app: {{ template "peertube.name" . }}
    chart: {{ template "peertube.chart" . }}
    release: {{ .Release.Name }}
    heritage: {{ .Release.Service }}
spec:
  type: {{ .Values.service.type }}
  ports:
    - port: {{ .Values.ports.peertubePort }}
      targetPort: http
      protocol: TCP
      name: http
{{- if .Values.ports.livePort }}
    - port: {{ .Values.ports.livePort }}
      targetPort: {{ .Values.ports.livePort }}
      protocol: TCP
      name: live
{{- end }}
  selector:
    app: {{ template "peertube.name" . }}
    release: {{ .Release.Name }}
